Delete an agent chat
Deletes an in-app agent chat owned by the authenticated user.
DELETE
/agent-chats/{chatId}Authorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:writeor
AuthorizationBearer token (JWT) · headerrequiredPath parameters
chatIdstringrequiredResponses
200
successbooleanrequired401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
404Chat not found
Request
curl -X DELETE "https://leadtime.app/api/public/agent-chats/string" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"const response = await fetch("https://leadtime.app/api/public/agent-chats/string", {
method: "DELETE",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});import requests
response = requests.delete(
"https://leadtime.app/api/public/agent-chats/string",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
},
)Response
{
"success": true
}Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions
Chat not found